// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdExampleCommon/DebugSessionListener.h>

DebugSessionListener::DebugSessionListener()
{
}

DebugSessionListener::~DebugSessionListener()
{
}


void DebugSessionListener::onSessionConnectError()
{
	bdPrintf("DebugSessionListener::onSessionConnectError \n");
}

void DebugSessionListener::onSessionConnectDefer()
{
	bdPrintf("DebugSessionListener::onSessionConnectDefer \n");
}

void DebugSessionListener::onSessionConnectRefuse(const bdUInt32)
{
	bdPrintf("DebugSessionListener::onSessionConnectRefuse \n");
}

void DebugSessionListener::onSessionConnectFail()
{
	bdPrintf("DebugSessionListener::onSessionConnectFail \n");
}

void DebugSessionListener::onSessionConnectSuccess()
{
	bdPrintf("DebugSessionListener::onSessionConnectSuccess \n");
}

void DebugSessionListener::onSessionConnect(const bdConnectionRef)
{
	bdPrintf("DebugSessionListener::onSessionConnect \n");
}

void DebugSessionListener::onSessionDisconnect(const bdConnectionRef)
{
	bdPrintf("DebugSessionListener::onSessionDisconnect \n");
}

void DebugSessionListener::onSessionStatusChange(const bdSession::bdSessionStatus previous,
												 const bdSession::bdSessionStatus current)
{
	bdPrintf("DebugSessionListener::onSessionStatusChange from ");
	switch(previous)
	{
		case bdSession::BD_SESSION_NOT_CONNECTED:
		{
			bdPrintf("- BD_SESSION_NOT_CONNECTED");
		}
		break;
		case bdSession::BD_SESSION_CONNECTING_TO_HOST:
		{
			bdPrintf("- BD_SESSION_CONNECTING_TO_HOST");
		}
		break;
		case bdSession::BD_SESSION_CONNECTING_TO_PEERS:
		{
			bdPrintf("- BD_SESSION_CONNECTING_TO_PEERS");
		}
		break;
		case bdSession::BD_SESSION_READY:
		{
			bdPrintf("- BD_SESSION_READY");
		}
		break;
		case bdSession::BD_SESSION_NOT_READY:
		{
			bdPrintf("- BD_SESSION_NOT_READY");
		}
		break;
		default:
		{
			bdPrintf("- UNKNOWN");
		}
	}

	bdPrintf(" to ");

	switch(current)
	{
		case bdSession::BD_SESSION_NOT_CONNECTED:
		{
			bdPrintf("- BD_SESSION_NOT_CONNECTED\n");
		}
		break;
		case bdSession::BD_SESSION_CONNECTING_TO_HOST:
		{
			bdPrintf("- BD_SESSION_CONNECTING_TO_HOST\n");
		}
		break;
		case bdSession::BD_SESSION_CONNECTING_TO_PEERS:
		{
			bdPrintf("- BD_SESSION_CONNECTING_TO_PEERS\n");
		}
		break;
		case bdSession::BD_SESSION_READY:
		{
			bdPrintf("- BD_SESSION_READY\n");
		}
		break;
		case bdSession::BD_SESSION_NOT_READY:
		{
			bdPrintf("- BD_SESSION_NOT_READY\n");
		}
		break;
		default:
		{
			bdPrintf("- UNKNOWN\n");
		}

	}
}

void DebugSessionListener::onSessionRolePromote()
{
	bdPrintf("DebugSessionListener::onSessionRolePromote \n");
}

void DebugSessionListener::onSessionHostChange(const bdAddr&)
{
	bdPrintf("DebugSessionListener::onSessionHostChange \n");
}
